#122 Probleme mit 8.18

DS+
closed
nobody
None
2014-02-19
2013-12-12
No

Kann es sein, dass DS+ Probleme mit der Server-Version 8.18 hat? Seit kurzem finde ich nämlich nicht mehr das Symbol für die Einstellungen von DS+, ebensowenig wie andere Anzeichen, dass das Skript aktiv ist.

Welt z.B. 100 oder 101.
Browser: Firefox 25 oder 29.0a1.
OS: Fedora Linux

Discussion

  • Zorbing

    Zorbing - 2013-12-12

    Hast du bereits Version 6.44 installiert?

     
  • Chukles

    Chukles - 2013-12-13

    Ich hab auch ein paar kleine Probleme: Die Zurücksetzten Funktion ist "inaktiv" Es gibt aber keine Fehler meldung. Auch die Farmliste bleibt, sobald sie einmal Grau(Truppen unterwegs) ist, für immer ausgegraut.
    Den Fehler hab ich "glaube" ich seid ich FireFox 26 nutze.

    Edit: Ich habe jetzt zu dem Dorf gewechselt von dem aus die Angriffe gingen nachdem ich Cache geleert habe,neustarts,und mit den Optionen herrum probiert habe und nun geht es wieder.

     
    Last edit: Chukles 2013-12-13
  • Zorbing

    Zorbing - 2013-12-15

    Das Zurücksetzen von Daten wird demnächst behoben.
    Der andere Fehler ist, dass gespeicherte Befehle nicht gelöscht werden, wenn diese ankommen.
    Soll heißen: DS+ schaut sich die Befehle aus einem Dorf erst dann wieder an, wenn du in der Dorfübersicht (nicht zu verwechseln mit den Dorfübersichten) oder dem Versammlungsplatz des Dorfes bist. Solange werden diese einfach im Speicher behalten, ob sie abgelaufen sind oder nicht.
    Das steht schon seit einiger Zeit auf meiner To-do-Liste und wird wahrscheinlich auch noch eine Weile dort stehen bleiben (keine Lust, viel Aufwand, blöd zu testen etc.).

    "Edit": Sourceforge mag es manchmal nicht, meine Posts auch in meinem Namen zu veröffentlichen, deshalb kann es vorkommen, dass ich auch mal als Anonymous unterwegs bin ;)

     
  • Zorbing

    Zorbing - 2013-12-16

    Der hier beschriebene Fehler hängt damit zusammen, dass es auf den Welten keine "Moral" in Berichten gibt.
    Das wird demnächst behoben :)

     
  • Zorbing

    Zorbing - 2013-12-16
    • status: open --> pending
     
  • Jochen Wiedmann

    Jochen Wiedmann - 2013-12-17

    Ja, ich bin auf 6.44.

     
  • Jochen Wiedmann

    Jochen Wiedmann - 2013-12-24

    Trotz Upgrade auf 6.50 nach wie vor kein Zeichen von DS+ auf W101. Entweder es liegt nicht an der Moral (wohlgemerkt: DS+ ist auch aussrhalb von Berichten nicht erkennbar) oder der dierbezügliche Bugfix greift nicht.

     
  • Zorbing

    Zorbing - 2013-12-24

    Bitte beschreibe den Fehler genauer. So ohne Infos kann ich nicht viel machen.
    Du kennst das ja: Fehler (wichtig: nur JS-Fehler) aus der Browser-Konsole mir irgendwie zukommen lassen, was funktioniert wo nicht? Seit wann; schon seit immer, oder erst seit Update 6.44? Nur auf der Welt, oder auch auf anderen?
    Wenn ich gerade Infos fordere, die ich schonmal bekommen habe, bitte verzeih, ich bin momentan nicht an meinem Heim-Rechner und gerade nicht alles auf dem Schirm.
    Schöne Festtage noch :)

     
  • Jochen Wiedmann

    Jochen Wiedmann - 2013-12-29

    Der Fehler ist ganz einfach: Das Skript ist nicht aktiv.

    • Ich sehe das Kreuz mit den Einstellungen nicht zwischen Rangliste und Stamm.
    • Die Hotkeys sind nicht aktiv, wenn ich durch die Berichte blättere.

    In der Web-Console des Web-Developers sehe ich diese (m.E. irrelevanten) Meldungen:

    Expected media feature name but found '-o-min-device-pixel-ratio'. game.css:24
    18:39:47.044 Expected media feature name but found 'min-device-pixel-ratio'. game.css:24
    18:39:47.044 Error in parsing value for 'background'. Declaration dropped. game.css:27
    18:39:47.054 SyntaxError: Using //@ to indicate source map URL pragmas is deprecated. Use //# instead game.js:2
    18:39:47.193 Unknown property 'box-sizing'. Declaration dropped. game.php
    18:39:47.620 Use of getPreventDefault() is deprecated. Use defaultPrevented instead. game.js:4
    18:39:47.622 Error in parsing value for 'margin-left'. Declaration dropped. game.php

    Das Problem besteht m.E. solange ich auf W101 bin. (Damals hatte ich schon 6.44.) Ob es auf anderen Welten besteht, kann ich nicht sagen, da das z.Zt. meine einzige Welt ist.

     
  • Zorbing

    Zorbing - 2013-12-29

    Bitte passe die angezeigten Fehler in der Browser-Konsole so an, dass nur noch JS-Fehler angezeigt werden!
    "Netz", "CSS", "Sicherheit" und "Logbuch" musst du dafür deaktivieren.
    Ich kann dir leider nicht helfen, wenn ich nicht weiß, warum DS+ beim Start abstürzt (so könnte man es grob beschreiben, was hier passiert).
    Als Faustregel kann man sagen, dass DS+ komplett nicht richtig ausgeführt wird (also beim Starten einen kritischen Fehler wirft), wenn das (Einstellungs-)Icon in der Menüleiste fehlt.

     
  • Jochen Wiedmann

    Jochen Wiedmann - 2013-12-31

    Damit bekomme ich dann dies:

    17:12:39.058 Use of Mutation Events is deprecated. Use MutationObserver instead. get:1
    17:12:39.247 Use of getPreventDefault() is deprecated. Use defaultPrevented instead. js:6

     
  • Anonymous - 2014-01-01

    Wie gewünscht:

    11:52:30.443 SyntaxError: Using //@ to indicate source map URL pragmas is deprecated. Use //# instead game.js:2
    11:52:30.830 The character encoding of the plain text document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the file needs to be declared in the transfer protocol or file needs to use a byte order mark as an encoding signature. GLSw
    11:52:30.870 The character encoding of the plain text document was not declared. The document will render with garbled text in some browser configurations if the document contains characters from outside the US-ASCII range. The character encoding of the file needs to be declared in the transfer protocol or file needs to use a byte order mark as an encoding signature. GLT2
    11:52:31.235 Use of getPreventDefault() is deprecated. Use defaultPrevented instead. game.js:4

     
  • Zorbing

    Zorbing - 2014-01-01

    Vielen Dank dafür, leider hilft mir das nicht weiter. Ich werde in den nächsten Tagen noch ein paar Dinge zusammenstellen, die du testen kannst, damit es wieder läuft.
    Zur Zeit hab ich keine Ahnung, wo ich ansetzen soll.
    Ich wünsche Dir (Euch) trotzdem ein schönes und frohes neues Jahr :)

     
    Last edit: Zorbing 2014-01-01
  • Jochen Wiedmann

    Jochen Wiedmann - 2014-01-03

    Ich hätte Interesse daran, selbst nach der Ursache zu suchen. Habe aber keine Idee, wie man Greasemonkey-Skripte debuggt. Evtl. kannst Du mir da helfen?

     
  • Zorbing

    Zorbing - 2014-01-07

    Greasemonkey-Skripte zu debuggen ist meistens sehr schwierig, weil es dafür keine Tools gibt.
    Du musst also im Code die Teile, die dich interessieren um eine Log-Ausgabe erweitern.
    Ich verwende dafür Firebug (da die Konsole dieses Firefox-Add-ons sehr schön funktioniert) und füge dann entweder "lib.debug.log(interessanteVariable);" oder aber "console.log(interessanteVariable);" ein.
    Ich kenne keinen besseren Weg Greasemonkey-Scripte zu debuggen...

    Den Angaben in diesem Ticket zur Folge tritt kein kritischer Fehler auf, was die einzige logische Erklärung wäre, warum DS+ nicht anläuft.
    Ist Greasemonkey aktiviert (also nicht nur das Add-on, sondern auch Greasemonkey an sich)?
    Ist DS+ als Script aktiviert?
    Hast du vielleicht etwas wie No-Script installiert?

    Sollte dem nicht so sein, dann sind entweder die Angaben des Fehlerlogs unvollständig, oder DS+ ist nicht installiert...
    Hast du schon einmal versucht DS+ einfach noch einmal drüber zu installieren?

     
  • Zorbing

    Zorbing - 2014-02-19
    • status: pending --> closed
     


Anonymous

Cancel  Add attachments





Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks